%global srcname vary

Name:               nodejs-%{srcname}
Version:            1.1.2
Release:            3%{?dist}
Summary:            Node.js module to Manipulate the HTTP Vary header
License:            MIT
URL:                https://github.com/jshttp/vary
Source0:            https://github.com/jshttp/%{srcname}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch
BuildRequires:      nodejs-packaging
BuildRequires:      npm(mocha)
BuildRequires:      npm(supertest)

%description
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha --reporter spec --check-leaks test/

%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Oct 03 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.2-1
- Update to upstream 1.1.2 release

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 17 2017 <piotr1212@gmail.com> - 1.1.0-1
- Initial package
